{ }:
let
  pkgs = import <nixpkgs> { overlays = [ (import ./overlay.nix) ]; };
  derivations = import ./derivations.nix { inherit pkgs; };
  jobs = derivations // {
    inherit (pkgs) llvm_7 rustc cargo cargo-vendor;

    helloworld_ecp5 = import ./examples/helloworld_ecp5.nix { inherit pkgs; };
    helloworld_kintex7 = import ./examples/helloworld_kintex7.nix { inherit pkgs; };
    simplesoc_ecp5 = import ./examples/simplesoc_ecp5.nix { inherit pkgs; };
  };
in
  builtins.mapAttrs (name: value: pkgs.lib.hydraJob value) jobs
